#ifndef SHOWCONTAINER_H
#define SHOWCONTAINER_H
#include <iostream>
#include <string_view>

template <class Container>
void showContainer(Container&& container, std::string_view abschluss = "\n",
                   std::string_view trennzeichen = " ")
{
  for (decltype(auto) element : container) {
    std::cout << element << trennzeichen;
  }
  std::cout << abschluss;
}

template <class Iterator>
void showContainer(Iterator i1, Iterator i2, std::string_view abschluss = "\n",
                   std::string_view trennzeichen = " ")
{
  while (i1 != i2) {
    std::cout << *i1++ << trennzeichen;
  }
  std::cout << abschluss;
}
#endif
