#include <filesystem>
#include <fstream>
#include <iostream>
#include <string>
using namespace std;

int main()
{
  cout << "Dateiname? ";
  filesystem::path pfad {};                // Mehr dazu siehe Kapitel 24.
  cin >> pfad;                          // Dateinamen mit Leerzeichen in Anführungszeichen einschließen
  cout << "absoluter Pfad: " << filesystem::absolute(pfad) << '\n';
  // Datei schreiben
  ofstream datei(pfad);                 // Objekt für Ausgabestrom
  if (!datei.good()) {                  // Fehlerabfrage
    cerr << pfad << " kann nicht beschrieben werden! Programmabbruch!\n";
    return 1;
  }
  else {
    datei << "geschriebener Text.\nZweite Zeile!\n";
    datei.close();          // Schließen der Datei, damit sie gelesen werden kann
  }
  // Lesen derselben Datei und Anzeige der Zeilen
  ifstream quelle(pfad);                // Objekt für Eingabestrom
  cout << "Der Inhalt von " << pfad << " ist:\n";
  while (quelle.good()) {
    string zeile;
    getline(quelle, zeile);             // Zeile lesen
    cout << zeile << '\n';
  }
}          // Datei wird am Programmende automatisch geschlossen.

