// Unterschied zu danglingref.cpp:
// Kein temporäres Objekt in der for-Schleife
#include <iostream>
#include <string>

class Person {
public:
  Person(std::string n) : name{n} {}
  const auto& getName() const { return name; };  // Referenz!
  ~Person() { std::cerr << "Person-Destruktor gerufen\n"; }
private:
  std::string name{""};
};

int main()
{
  Person p("Johann Christian Friedrich Hölderlin");
  for (auto c : p.getName()) {
    std::cout << c;
  }
  std::cout << '\n';
}
