#ifndef SUMME_H
#define SUMME_H

template <typename T>
[[nodiscard]] T summe(const std::vector<T>& vec)
{
  T ergebnis {0};
  for (auto summand : vec) {
    ergebnis += summand;
  }
  return ergebnis;
}
#endif
