#include <iostream>
#include <string_view>

template <typename... Args>
void anzeigen(const Args&... args)
{
  (std::cout << ... << args) << '\n';       // Fold-Expression
}

int main()
{
  std::string_view einString("String ");
  anzeigen(einString, "Textliteral ", 7.978353);
}
