#include "ThreadGroup.h"
#include <iostream>
#include <mutex>
using namespace std;

namespace {
mutex mtx;
}

class Gerade {
public:
  int next()
  {
    // Kommentarzeichen in der Folgezeile fuer korrekte Funktion entfernen!
    //scoped_lock<mutex> lock(mtx); // neu
    ++n;
    ++n;
    return n;
  }
  [[nodiscard]] int getWert() const { return n; }

private:
  int n {0};
};


namespace {
  Gerade g;
}

void testeGerade()
{
  for (int i = 0; i < 10000; ++i) {
    int wert = g.next();
    if (wert % 2 != 0) {
      cout << wert << " ist ungerade! Thread beendet.\n";
      break;
    }
  }
}

int main()
{
  ThreadGroup threadgroup;
  for (int i = 0; i < 20; ++i) {
    threadgroup.add_thread(testeGerade);
  }
  threadgroup.join_all();   // kann hier entfallen
}
