#ifndef NAMENDIALOG_H
#define NAMENDIALOG_H
#include <QtWidgets/QBoxLayout>
#include <QtWidgets/QDialog>
#include <QtWidgets/QLabel>
#include <QtWidgets/QLineEdit>
#include <QtWidgets/QPushButton>

class NamenDialog : public QDialog {
  Q_OBJECT
public:
  NamenDialog()
  {
    setWindowTitle("Name?");
    text.setBuddy(&eingabezeile);
    zeile1.addWidget(&text);
    zeile1.addWidget(&eingabezeile);
    zeile2.addWidget(&okButton);
    zeile2.addWidget(&abbruchButton);
    alles.addLayout(&zeile1);
    alles.addLayout(&zeile2);
    setLayout(&alles);
    connect(&okButton, &QPushButton::clicked, this, &QDialog::accept);
    connect(&abbruchButton, &QPushButton::clicked, this, &QDialog::reject);
  }

  QString getText() const { return eingabezeile.text(); }

private:
  QBoxLayout alles {QBoxLayout::TopToBottom};
  QLineEdit eingabezeile;
  QLabel text {"&Namen eingeben:"};
  QPushButton okButton {"OK"};
  QPushButton abbruchButton {"Abbruch"};
  QBoxLayout zeile1 {QBoxLayout::LeftToRight};
  QBoxLayout zeile2 {QBoxLayout::LeftToRight};
};
#endif
