#include <iostream>

constexpr int f(int x) noexcept
{
  if consteval { return x + 42; }
  return x;
}

int main()
{
  const auto wert1 { f(10) };           // Auswertung zur Compilationszeit
  int w {10};                           // nicht konstant
  const auto wert2 { f(w) };            // Auswertung zur Laufzeit
  std::cout << wert1 << "   " << wert2 << '\n';
}
