#include <algorithm>
#include <numeric>
#include <showContainer.h>
#include <vector>
using namespace std;

int main()
{
  vector<int> v(10);
  iota(v.begin(), v.end(), 0);
  for (int shift = 1; shift < 3; shift++) {
    cout << "Rotation um " << shift << '\n';
    for (auto i {0z}; i < ssize(v) / shift; ++i) {
      showContainer(v);
      ranges::rotate(v, v.begin() + shift);
    }
  }
  cout << "Rotation mit Kopie:\n";
  vector<int> erg(10);
  ranges::rotate_copy(v, v.begin() + 3, erg.begin());
  showContainer(erg);                        // Ergebnis
}
