#include <Random.h>                          // von Seite 794
#include <algorithm>
#include <showContainer.h>
#include <vector>
using namespace std;

[[nodiscard]] int zweierpotenz()
{
  static int wert = 1;                       //  mit 1 anfangen
  return wert <<= 1;                         // Wert verdoppeln
}

int main()
{
  vector<int> v(10);
  ranges::generate(v, zweierpotenz);
  showContainer(v);                          // 2 4 8 16 32 64 128 256 512 1024
  Random zufall(10000);
  generate_n(v.begin(), v.size() / 2, zufall);
  showContainer(v);
}

