#include "Name.h"
#include <iostream>
#include <utility>

class Haustier {
public:
  Haustier(const Name& n) 
    : name(n)                                // L-Wert (Name n)
  { 
    std::cout << "Haustier(const Name&)\n";
  }

  Haustier(Name&& n) 
    : name(std::move(n))          // Uebergabe des L-Werts als R-Wert
  { 
    std::cout << "Haustier(Name&&)\n";
  }

private:
   Name name;
};

int main()
{
  Name katzenname("Mauz");
  Haustier katze1(katzenname);               // L-Wert
  Haustier katze2(Name("Miezi"));            // R-Wert 
}
