#include <array>
#include <iostream>
#include <stack>
using namespace std;

int main()
{
  constexpr array zahlen{1, 5, 6, 0, 9, 1, 8, 7, 2};
  // Konstruktion mit Iterator-Paar (seit C++23)
  // stack statt stack<int> genügt
  stack einStack (zahlen.begin(), zahlen.end());

  cout << "\nZahlen vom Stack holen (umgekehrte Reihenfolge!),"
          " anzeigen und löschen:\n";
  while (!einStack.empty()) {
    cout.width(6);
    cout << einStack.top();                  // obersten Wert anzeigen
    einStack.pop();                          // Wert entfernen
  }
  cout << '\n';
}

