#include <functional>                        // für ggf. greater<string>
#include <iostream>
#include <map>
#include <string>
using namespace std;

int main()
{
  using MapType = map<string, string>; 
             // alternativ map<string, string, greater<string> >;
  using Paar = MapType::value_type;
  MapType woerterbuch;
  woerterbuch.insert(Paar("Firma", "company"));             // Schlüssel, Daten
  woerterbuch.insert(pair<string, string>("Objekt", "object"));
  woerterbuch.insert(make_pair("Blume", "flower"));         // mit  make_pair():
  woerterbuch.insert({"Buch", "book"});            // direkt (Aggregat-Initialisierung)
  woerterbuch.emplace("Kuchen", "cake");                  // einfügen mit emplace()
  cout << woerterbuch["Buch"] << '\n';                    // assoziativer Zugriff
  // Alphabetisch sortierte Ausgabe deutsch : englisch
  for (const auto& eintrag : woerterbuch) {
    cout << eintrag.first << " : " << eintrag.second << '\n';  // Schlüssel, Daten
  }
}

