#include "NummeriertesObjekt.h"
#include <iostream>
using namespace std;

int main()                              //  Demonstration von nummerierten Objekten
{
  NummeriertesObjekt::testmodus = true;     // Testmodus für alle Objekte einschalten
  NummeriertesObjekt dasNumObjekt_X;        // ... wird erzeugt
  cout << "Die Seriennummer von dasNumObjekt_X ist: " 
       << dasNumObjekt_X.seriennummer() << '\n';
  {  // Anfang eines neuen Blocks
    NummeriertesObjekt dasNumObjekt_Y;      // ... wird erzeugt
    cout << NummeriertesObjekt::anzahl() << " Objekte aktiv\n";
    NummeriertesObjekt* p{new NummeriertesObjekt};  // *p wird dynamisch erzeugt
    cout << NummeriertesObjekt::anzahl() << " Objekte aktiv\n";
    delete p;                               // *p wird gelöscht
    cout << NummeriertesObjekt::anzahl() << " Objekte aktiv\n";
    //  delete p;  // Fehler: ein delete zu viel!
  }          // Blockende: dasNumObjekt_Y wird gelöscht
  cout << " Kopierkonstruktor:\n";
  NummeriertesObjekt dasNumObjekt_X1 = dasNumObjekt_X;
  cout << "Die Seriennummer von dasNumObjekt_X ist: " 
       << dasNumObjekt_X.seriennummer() << '\n';
  cout << "Die Seriennummer von dasNumObjekt_X1 ist: " 
       << dasNumObjekt_X1.seriennummer() << '\n';
}

