#ifndef WARTESCHLANGE_H
#define WARTESCHLANGE_H
#include <list>

template <typename T>
class Warteschlange : private std::list<T> {   // Implementationsvererbung
public:
  using std::list<T>::empty;
  using std::list<T>::size;
  void push(const T& x) { std::list<T>::push_back(x); }  // am Ende einfügen
  void pop() { std::list<T>::pop_front(); }              // am Anfang entnehmen
  using std::list<T>::front;                             // am Anfang lesen
  using std::list<T>::back;                              // am Ende lesen
};
#endif
