#include <cfenv>
#include <iostream>
using namespace std;

double division(double a, double b)
{
  double c = a / b;
  if (fetestexcept(FE_DIVBYZERO)) {         // abfragen
    feclearexcept(FE_DIVBYZERO);            // zurücksetzen
    throw("Fehler: Division durch 0!");
  }
  return c;
}

int main()
{
  double z{0.0};
  double n{0.0};
  cout << "Zähler :";
  cin >> z;
  cout << "Nenner :";
  cin >> n;
  try {
    cout << "Ergebnis = " << division(z, n) << '\n';
  }
  catch (const char* ex) {
    cerr << ex << '\n';
  }
}
