#include <cstring>                 // strerror()
#include <iostream>
#include <vector>
#include "to_numberExp.h"
using namespace std;

int main()
{
  vector<string_view> tests{"42 Rest wird ignoriert", "-1", "keine Zahl"};
  constexpr int ersatzwert{9999};
  for (auto str : tests) {
    auto result = to_numberExp<int>(str);
    cout << "to_numberExp(" << str << ") : ";
    if (result) {             // entspricht if (result.has_value())
      cout << "  value(): " << result.value()
           << ". value_or(): " << result.value_or(ersatzwert) << '\n';
    }
    else {
      cout << "keine Zahl gefunden.  value_or(): "
           << result.value_or(ersatzwert) << "\nFehler: "
           << strerror(static_cast<int>(result.error())) << '\n';
    }
  }
}

