#include <iostream>
#include <vector>
#include "to_numberOpt.h"
using namespace std;

int main()
{
  vector<string_view> tests{"42 Rest wird ignoriert", "-1", "keine Zahl"};
  constexpr int ersatzwert{9999};
  for (auto str : tests) {
    auto result = to_numberOpt<int>(str);
    cout << "to_numberOpt(" << str << ") : ";
    if (result) {             // entspricht if (result.has_value())
      cout << "  value(): " << result.value();
    }
    else {
      cout << "keine Zahl gefunden";
    }
    cout << ". value_or(): " << result.value_or(ersatzwert) << '\n';
  }
}

