#define INDEXCHECK                           // Indexprüfung ein- bzw. ausschalten
                                             // alternativ mit der Compileroption -D
#include "Array2d.h" 
using namespace std;

int main() {
  Array2d<double> a(3, 4);
  for (int i = 0; i < a.zeilen(); ++i) {
    for (int j = 0; j < a.spalten(); ++j) {
      a[i, j] = i + 0.1 * j;
    }
  }
  print(a);
  Array2d<double> b(a); // Kopie
  print(b);
  Array2d<double> c(2, 5, 1.0);
  b = c; // Zuweisung
  print(c);
  cout << "Zugriff mit a[1, 2] = " << a[1, 2] << '\n';
  cout << "a ändern:\na[1, 2] = 123.456: ";
  a[1, 2] = 123.456;
  cout << a[1, 2] << '\n';

  cout << "Indexfehler provozieren:\n";
  try {
    cout << a[99, 1] << '\n';
  } catch (const range_error &fehler) {
    cerr << fehler.what() << '\n';
  }
}
