#include <iostream>
#include <vector>

template <typename T>
using Matrix = std::vector<std::vector<T>>;    // Typ  Matrix einführen

int main()
{
  // 3 Zeilen zu je 4 Spalten
  Matrix<double> m1(3, std::vector<double>(4));
  // Matrix füllen
  for (int i = 0; i < ssize(m1); ++i) {         // Zeilen
    for (int j = 0; j < ssize(m1[0]); ++j) {    // Spalten
      m1[i][j] = i + 0.1 * j;
    }
  }
  // Matrix ausgeben
  for (int i = 0; i < ssize(m1); ++i) {         // Zeilen
    for (int j = 0; j < ssize(m1[0]); ++j) {    // Spalten
      std::cout << m1[i][j] << ' ';
    }
    std::cout << '\n';
  }
  // Definition mit Initialisierung
  Matrix<double> m2 {{1.1, 2.2, 3.3}, {4.4, 5.5, 6.6}};
  for (int i = 0; i < ssize(m2); ++i) {         // Zeilen
    for (int j = 0; j < ssize(m2[0]); ++j) {    // Spalten
      std::cout << m2[i][j] << ' ';
    }
    std::cout << '\n';
  }
}

