// Verwaltung polymorpher Objekte in einem Container
#include "C.h"          // schließt A.h, B.h ein
#include <iostream>
#include <vector>
using namespace std;

int main()
{
  vector<unique_ptr<A>> vecA;
  vecA.emplace_back(make_unique<A>(1));
  vecA.emplace_back(make_unique<B>(2, 3));
  vecA.emplace_back(make_unique<C>(4,5,6));
  cout << "\nAusgabe:\n";
  for (const auto& ptr : vecA) {
    ptr->ausgabe();
    cout << '\n';
  }
}
