#include <algorithm>
#include <iostream>
#include <vector>

struct AbsolutKleiner {
  static bool operator()(double x, double y)
  {
    return std::abs(x) < std::abs(y);
  }
};
using namespace std;

int main()
{
  vector<double> v{-11.0, 3.2, 4.1, -7.0, 8.0, 1.5, 2.7, -4.4};
  sort(v.begin(), v.end(), AbsolutKleiner());    // static operator()()
  for(auto wert : v) {
    cout << wert << '\n';
  }
}
