#include <cmath>                            // cos(), sin()
#include <format>
#include <iostream>
#include <numbers>                          //   pi
using namespace std;

int main()
{
  cout << "Grad      sin(x)      cos(x)\n";
  for (int grad = 0; grad <= 90; grad += 10) {
    const double rad = grad / 180.0 * numbers::pi;  // Grad in Bogenmaß umwandeln
    cout << format("{: >4}{: 12.6f}{: 12.6f}\n", grad, sin(rad), cos(rad));
  }
}

