//  Datei hexadezimal ausgeben
// Hilfsmittel: cout << hex
#include <cstdlib>          // für exit()
#include <fstream>
#include <iostream>
#include <string>
using namespace std;

int main()
{
  cout << "Dateiname :";
  string quelldateiname{"?"};
  getline(cin, quelldateiname);

  ifstream quelle(quelldateiname, ios::binary);
  if (!quelle) {          // muss existieren
    cerr << quelldateiname << " kann nicht geöffnet werden!\n";
    exit(-1);
  }

  char c{'x'};
  cout << hex;
  int count {0};
  while (quelle.get(c)) {
    auto uc = static_cast<unsigned char>(c);
    auto zahl {static_cast<int>(uc)};
    cout.width(2);
    cout.fill('0');
    cout << zahl << ' ';
    if (++count % 20 == 0) {
      cout << '\n';
    }
  }
  cout << '\n';
}
