#ifndef STUDENTIN_H
#define STUDENTIN_H
#include "Person.h"

class StudentIn : public Person {
public:
  StudentIn(std::string nachname, std::string vorname, std::string matnr)
      : Person{std::move(nachname), std::move(vorname)}, 
      matrikelnummer{std::move(matnr)}
  {
  }
  const std::string& getMatrikelnummer() const { return matrikelnummer; }
  std::string toString() const override
  {
    return "Student/in " + Person::toString() + ", Mat.Nr.: " + matrikelnummer;
  }

private:
  std::string matrikelnummer;
};
#endif
