#ifndef PROFESSORIN_H
#define PROFESSORIN_H
#include "Person.h"

class ProfessorIn : public Person {
public:
  ProfessorIn(const std::string& nachname, const std::string& vorname, const std::string& lgb)
      : Person{nachname, vorname}, lehrgebiet{lgb}
  {
  }
  
  [[nodiscard]] const auto& getLehrgebiet() const { return lehrgebiet; }
  
  [[nodiscard]] std::string toString() const override
  {
    return "Prof. " + Person::toString() + ", Lehrgebiet: " + lehrgebiet;
  }

private:
  std::string lehrgebiet;
};
#endif
