// Unterschied zu danglingref.cpp:
// getName() gibt eine Kopie statt einer Referenz zurück
#include <iostream>
#include <string>

class Person {
public:
  Person(std::string n) : name{n} {}
  auto getName() const { return name; };  // Kopie!
  ~Person() { std::cerr << "Person-Destruktor gerufen\n"; }
private:
  std::string name{""};
};

int main()
{
  for (auto c : Person("Johann Christian Friedrich Hölderlin").getName()) {
    std::cout << c;
  }
  std::cout << '\n';
}
