#ifndef WINDOW_H
#define WINDOW_H
#include <QtWidgets/QMainWindow>
#include <QtWidgets/QMessageBox>
#include <fstream>

class Window : public QMainWindow {
protected:
  void closeEvent(QCloseEvent*)             // Parametername wird hier nicht gebraucht
  {
    auto antwort = QMessageBox::warning(this, "Titel", 
                                        "closeEvent gerufen. Sichern?",
                                        QMessageBox::Yes | QMessageBox::No);
    if (antwort == QMessageBox::Yes) {
      save();
    }
  }

private:
  void save()
  {
    std::ofstream log("daten.txt");
    log << "gesicherte Daten\n";
    log.close();
  }
};
#endif
