#include "include/CurlInterface.h"
#include "include/json.hpp"
using namespace std;

int main()
{
  CurlInterface curlinterface("https://api.openai.com/v1/chat/completions");
  string prompt_string {"?"};
  cout << "Prompt eingeben: ";
  getline(cin, prompt_string);
  // Anfrage im JSON-Format aufbauen
  string pre {R"( { "model" : "gpt-3.5-turbo", "max_tokens" : 500,
                    "messages" : [ {"role": "user", "content": )"};
  string request_str = pre + '"' + prompt_string + "\"}]}"; // abschließen
  auto response = curlinterface.getResponse(request_str);
  auto response_json = nlohmann::json::parse(response);
  cout << "Die gesamte Antwort ist\n" << response_json.dump(2) << '\n';
  cout << "\nextrahierte Antwort:\n";
  cout << static_cast<string>(response_json["choices"][0]["message"]["content"]);
  auto token = response_json["usage"]["total_tokens"];
  cout << "\nVerbrauchte Token: " << token << '\n';
}
