#include <algorithm>
#include <showContainer.h>
#include <vector>
using namespace std;

[[nodiscard]] auto fakultaet(int n)          // Fakultät $n!$ berechnen
{
  long fac = 1;
  while (n > 1) {
    fac *= n--;
  }
  return fac;
}

int main()
{
  vector<int> v{0, 1, 2, 3};
  auto anzahl = fakultaet(v.size());         // Anzahl der Permutationen
  for (long i = 0; i < anzahl; ++i) {
    if (!prev_permutation(v.begin(), v.end())) {
      cout << "Zyklusbeginn:\n";             // siehe Text
    }
    showContainer(v);
  }
}
