#ifndef MERGESORT_H
#define MERGESORT_H
#include <algorithm>

template <class ForwardIterator, class OutputIterator>
void mergesort(ForwardIterator first, ForwardIterator last, 
               OutputIterator result)
{
  // auto statt typename std::iterator_traits<ForwardIterator>::difference_type
  auto n{std::distance(first, last)};
  auto haelfte{n / 2};
  ForwardIterator mitte{first};
  std::advance(mitte, haelfte);
  if (haelfte > 1)                           // linke Hälfte sortieren, falls notwendig
    mergesort(first, mitte, result);         // Rekursion
  if (n - haelfte > 1) {                     // rechte Hälfte sortieren, falls notwendig
    auto ergebnis{result};
    std::advance(ergebnis, haelfte);
    mergesort(mitte, last, ergebnis);        // Rekursion
  }
  // beide Hälften mischen und zurückkopieren
  // auto end =  std::merge(first, mitte, mitte, last, result);
  // std::copy(result, end, first);
  // oder zusammengefasst:
  std::copy(result, merge(first, mitte, mitte, last, result), first);
}
#endif

