#include "localeutils.h"
#include <cstddef>
#include <iostream>
using namespace std;

int main()
{
  locale loc("de_DE.iso88591");
  string s1("hnlich_x");                   // 1-char-Zeichen, hier ISO8859-1 codiert
  string s2("HNLICH_Y");
  cout.imbue(loc);
  EqualIgnoreCase<char> vergleich(loc);
  for (size_t i = 0; i < s1.length() && i < s2.length(); ++i) {
    cout << "Die Zeichen Nr. " << i << " (" << s1[i] << ", " << s2[i] 
         << ") werden als ";
     if (!vergleich(s1[i], s2[i])) {  
      cout << "un";
    }
    cout << "gleich gewertet.\n";
  }
}
