#include <algorithm>
#include <showContainer.h>
#include <vector>
using namespace std;

int main()
{
  vector<double> v(8);
  ranges::fill(v, 9.23);              // alle Werte mit 9.23 initialisieren
  showContainer(v);

  /* fill_n() erwartet die Anzahl der zu initialisierenden Elemente
  und gibt einen Iterator auf das Ende des Bereichs zurück.
  Hier wird nur die erste Hälfte der Sequenz auf 1.01 geändert.
  */
  auto iter = fill_n(v.begin(), v.size() / 2, 1.01);

  showContainer(v);
  cout << "Der Iterator befindet sich an Stelle " 
       << (iter - v.begin()) << ", *iter = " << *iter << '\n';
}
