#include <filesystem>
#include <iostream>
namespace fs = std::filesystem;              // zur Abkürzung

int main(int, char* argv[])
{
  std::cout << "Arbeitsverzeichnis (absolut): " << fs::current_path() << '\n';
  fs::path derPfad(".");                     // aktuelles Verzeichnis
  derPfad.append(argv[0]);                   //  argv[0] = aufgerufenes Programm
  std::cout << "diese Datei: " << derPfad.filename() << '\n';
  std::cout << "Stamm      : " << derPfad.stem() << '\n';
  std::cout << "Extension  : " << derPfad.extension() << '\n';
  std::cout << "diese Datei (kanonisch): " << fs::canonical(derPfad) << '\n';
  std::cout << "diese Datei (absolut): " << fs::absolute(derPfad) << '\n';
  fs::path oberverz("..");   
  std::cout << "Verzeichnis (kanonisch): " << fs::canonical(oberverz) << '\n';
  std::cout << "Verzeichnis (absolut): " << fs::absolute(oberverz) << '\n';
}

