#include <filesystem>
#include <iostream>
#include <string>
namespace fs = std::filesystem;              // zur Abkürzung

int main(int argc, char* argv[])
{
  if (argc != 2) {
    std::cout << "Verzeichnis loeschen. Gebrauch: "
              << argv[0] << " verzeichnisname\n";
  }
  else if (argv[1][0] == '.') {
    std::cout << ". nicht erlaubt. Nur für Unterverzeichnis aufrufen!\n";
  }
  else {
    fs::path pfad(argv[1]);
    if (fs::exists(pfad) && fs::is_directory(pfad)) {
      fs::remove_all(pfad);                  // Rückgabewert ignoriert
    }
    else {
      std::cout << "Verzeichnis " << argv[1] << " existiert nicht!\n";
    }
  }
}
