#include <array>
#include <iostream>

// template <typename Feldtyp>
// void tabellenausgabe2D_stdarray(Feldtyp tabelle) {  // geht auch,
// aber nicht nur fuer arrays
template <typename T, std::size_t S, std::size_t Z>
void tabellenausgabe2D_stdarray(const std::array<std::array<T, S>, Z>& tabelle)
{
  for (const auto& vec : tabelle) {
    for (auto wert : vec) {
      std::cout << wert << ' ';
    }
    std::cout << '\n';
  }
  std::cout << '\n';
}

int main()
{
  constexpr std::array feld{
      std::array{1, 2, 3}, 
      std::array{4, 5, 6} 
  };
  tabellenausgabe2D_stdarray(feld);
}
