#include <iostream>
#include <showContainer.h>
#include <vector>
using namespace std;

int main()
{
  // int-Vektor mit 10 Elementen
  vector<int> intV(10);

  for (auto i {0z}; i < ssize(intV); ++i) {
    intV[i] = static_cast<vector<int>::value_type>(i);          // Vektor füllen
  }
  // Vektor wächst dynamisch
  intV.insert(intV.end(), 100);          //  100 anhängen

  // Benutzung wie Array
  for (auto i {0z}; i < ssize(intV); ++i)
    cout << intV[i] << '\n';

  // Benutzung mit Iterator
  for (auto I = intV.begin(); I != intV.end(); ++I)
    cout << *I << '\n';

  vector<int> neuerVektor(20, 0);          // alle Elemente nullen

  cout << " neuerVektor = ";

  for (auto i {0z}; i < ssize(neuerVektor); ++i)
    cout << neuerVektor[i] << ' ';

  // swap() ist eine schnelle Methode zur Vertauschung zweier Vektoren
  neuerVektor.swap(intV);

  cout << "\n neuerVektor nach swap() = ";
  for (auto i {0z}; i < ssize(neuerVektor); ++i)
    cout << neuerVektor[i] << ' ';          // alter Inhalt von  intV

  cout << "\n\n intV        = ";
  for (auto i {0z}; i < ssize(intV); ++i)
    cout << intV[i] << ' ';          //  alter Inhalt von  neuerVektor
  cout << "\nAlternativ mit showContainer():\n";
  showContainer(intV);
  cout << '\n';
}

