#ifndef PERSON_H
#define PERSON_H
#include <string>

class Person {
public:
  Person(const std::string& name_, const std::string& personalnummer_)
      : name{name_}, personalnummer{personalnummer_}
  { }

  [[nodiscard]] auto getName() const { return name; }

  [[nodiscard]] auto getPersonalnummer() const { return personalnummer; }

private:
  std::string name;
  std::string personalnummer;
};
#endif
