#ifndef RESSOURCE_H
#define RESSOURCE_H
#include <iostream>

class Ressource {
public:
  Ressource(int i) 
  : id(i) 
  {  
   std::cout << "Konstruktor Ressource()\n"; 
  }

  ~Ressource() 
  { 
    std::cout << "Ressource::Destruktor, Id=" << id << '\n'; 
  }
  Ressource(const Ressource&) = default; 
  Ressource& operator=(const Ressource&) = default; 
  Ressource(Ressource&&) = default; 
  Ressource& operator=(Ressource&&) = default; 

  void hi() const 
  { 
    std::cout << "hier ist Ressource::hi(), Id=" << id << '\n';
  }
private:
  int id = 0;
};
#endif
