#include <cstddef>
#include <iostream>
#include <new>

class Irgendwas {
public:
  Irgendwas() 
  : id(++maxid) 
  { }
  void machwas() const
  {
    std::cout << "Id  = " << id  << '\n';
  }

private:
  int id;
  static int maxid;
};
int Irgendwas::maxid = 0;                   // statisches Attribut anlegen

int main()
{
  std::byte vielPlatz[1000*sizeof(Irgendwas)] {};
  Irgendwas* p = new (vielPlatz) Irgendwas;      // Objekt 1 in vielPlatz anlegen
  p->machwas();
  // Weitere 10 Objekte mit Array-Operator anlegen:
  std::byte* naechsteAdresse = reinterpret_cast<std::byte*>(p)
                                                   + sizeof(Irgendwas);
  new (naechsteAdresse) Irgendwas[10];           // Objekte 2 bis 11
  for (int i = 0; i < 11; ++i) {                 // Alle 11 Objekte abfragen (1-11)
     std::cout << i << ": ";
     p++->machwas();
  }
  p->machwas();                                  // Ausgabe 0!
}


