#include "Ressource.h"
#include <iostream>
#include <memory>
#include <vector>

int main()
{
  std::vector<std::unique_ptr<Ressource>> vpu(10);
  // Initialisierung aller Elemente:
  for (auto i {0z}; i < std::ssize(vpu); ++i) {
    vpu[i] = std::make_unique<Ressource>(i);
    // statt vpu[i] = std::unique_ptr<Ressource>(new Ressource(i));
  }
  // Benutzung:
  std::cout << "Werte:\n";
  for (const auto& ptr : vpu) {              // Referenz, weil Kopie nicht erlaubt ist
    ptr->hi();
  }
  std::cout << '\n';
}                                     // Destruktoren werden automatisch aufgerufen

