#include "Array2d_opt.h"                        // Klasse  Array2d
#include <iostream>
using namespace std;

int main()
{
  Array2d<int> arr(5, 7);
  arr.init(0);
  printArray(arr);                          // Ausgabe mit Hilfsfunktion
  for (int z = 0; z < arr.getZeilen(); ++z) {
    for (int s = 0; s < arr.getSpalten(); ++s) {
      arr.at(z, s) = 10 * z + s;            // Benutzung, schreibend und ...
      cout << arr.at(z, s) << " ";          // lesend (siehe Text)
    }
    cout << '\n';
  }
  printArray(arr);
  Array2d<int> arr1(arr);                   // Kopierkonstruktor
  printArray(arr1);
  arr1.init(3);                             // Neuinitialisierung
  arr.assign(arr1);                         // Zuweisung
  printArray(arr);
  Array2d<double> arrd(3, 4, 99.013);       // double-Array
  printArray(arrd);
  Array2d<string> arrs(2, 5, "hello");      // string-Array
  printArray(arrs);
  // Zuweisungstest 
  Array2d<int> arr2(1,1);                   // kleiner als arr1
  arr2.assign(arr1);
  if(istGleich(arr1, arr2)) {
    cout << "Arrays sind gleich.\n";
  }
  else {
    cout << "Arrays sind ungleich.\n";
  }
  Array2d<int> arr3(10,111);                 // größer als arr1
  arr3.assign(arr1);
  if(istGleich(arr1, arr3)) {
    cout << "Arrays sind gleich.\n";
  }
  else {
    cout << "Arrays sind ungleich.\n";
  }
}

