#include "StackDifferentContainer1.h"
#include <iostream>
#include <deque>
using namespace std;

int main()
{
  StackDifferentContainer1<int> einIntStack;      // ein Stack mit std::vector<int>
  for(int i = 0; i < 10; ++i) {
    einIntStack.push(i);                          // Stack füllen
  }  
  cout << "Anzahl : " << einIntStack.size() << '\n';
  cout << "oberstes Element: " << einIntStack.top() << '\n';
  cout << "alle Elemente entnehmen und anzeigen: \n";
  while (!einIntStack.empty()) {
    auto i = einIntStack.top();
    einIntStack.pop();
    cout << i << '\t';
  }
  cout << '\n';
  // ein Stack mit std::deque<double>
  StackDifferentContainer1<double, std::deque<double>> einDoubleStack;
  double d {1.00234};
  for(int i = 0; i < 10; ++i) {
    d = 1.1 * d;
    einDoubleStack.push(d);
    cout << einDoubleStack.top() << '\t';
  }
  cout << "\n4 Elemente des Double-Stacks entnehmen:\n";
  for (int j = 0; j < 4; ++j) {
    cout << einDoubleStack.top() << '\t';
    einDoubleStack.pop();
  }
  cout << '\n';
  cout << "Restliche Anzahl : " << einDoubleStack.size() << '\n';
  cout << "clear Stack\n";
  einDoubleStack.clear();
  cout << "Anzahl : " << einDoubleStack.size() << '\n';
}
