#include <iostream>

class Basis {
public:
  Basis() {  std::cout << "Basis-Standardkonstruktor\n"; }
  Basis(const char* a) { std::cout << a << '\n'; }
  virtual ~Basis() = default;               // virtueller Destruktor
  Basis(const Basis&) = delete;
  Basis& operator=(const Basis&) = delete;
};

class Links : virtual public Basis {
public:
  Links(const char* a)
  //  : Basis(a)                         // siehe Text
  { }
};

class Rechts : virtual public Basis {
public:
  Rechts(const char* a) 
  : Basis(a) 
  { }
};

class Unten : public Links, public Rechts {
public:
  Unten(const char* a)
  :  //  Basis(a),               // siehe Text
     Links(a), Rechts(a)
  { }
};

int main()
{
  Unten x("Unten");
  Links li("Links");
}

