#ifndef BESCHRIFTETESOBJEKT_H
#define BESCHRIFTETESOBJEKT_H
#include "../../abstrakt/GraphObj.h"
#include <string>

class BeschriftetesObjekt : public GraphObj {          // erben
public:
  BeschriftetesObjekt(Ort ort, const std::string& b) 
  : GraphObj(ort), beschriftung{b} 
  {}

//  double flaeche() const override { return 0.0; }

  void zeichnen() const override
  {
    GraphObj::zeichnen();
    std::cout << "Beschriftung bei ";
    anzeigen(bezugspunkt());
    std::cout << beschriftung << '\n';
  }

private:
  std::string beschriftung;
};
#endif
