#include "gettype.h"
#include <iostream>
// Die Initialisierungen dienen nur dazu, die Warnungen des Compilers auszuschalten.
int main()
{
  int i {0};
  std::cout << getType(i) << '\n';
  unsigned int ui {0u};
  std::cout << getType(ui) << '\n';
  float f {0.0f};                // nicht in getType() berücksichtigt!
  std::cout << getType(f) << '\n';
  double d {0.0};
  std::cout << getType(d) << '\n';
  char c {'*'};
  std::cout << getType(c) << '\n';
  bool b {true};
  std::cout << getType(b) << '\n';
}
