/* Alternative mit std::isalnum siehe 8a.cpp
 * Voraussetzung: jedes Zeichen kann als unsigned char dargestellt werden
 */
#include <cctype>                  // isalnum()
#include <iostream>
#include <string>

[[nodiscard]] bool istAlphanumerisch1(const std::string& text);

int main()
{
  std::string einText{"?"};
  std::cout << "Zeichenfolge eingeben:";
  std::getline(std::cin, einText);
  if (istAlphanumerisch1(einText)) {
    std::cout << "Die eingegebene Zeichenkette enthält "
                 "nur Buchstaben und Ziffern.\n";
  }
  else {
    std::cout << "Die eingegebene Zeichenkette enthält NICHT "
                 "nur Buchstaben und Ziffern.\n";
  }
}

bool istAlphanumerisch1(const std::string& text)
{
  bool ergebnis{true};
  for (char zeichen : text) {
    if (!std::isalnum(zeichen)) {
      ergebnis = false;
      break;          // weitere Prüfungen sind nicht notwendig
    }
  }
  return ergebnis;
}
