#ifndef PERSON_H
#define PERSON_H
#include <string>

enum class Geschlecht { m, w, d};

class Person {
public:
  Person(const std::string& name_, int alter_, Geschlecht g)
      : name{name_}, alter{alter_}, geschlecht{g}
  {
  }
  const std::string& getName() const { return name; }
  void setName(const std::string& neuerName) { name = neuerName; }
  int getAlter() const { return alter; }
  void setAlter(int neuesAlter) { alter = neuesAlter; }
  bool istFrau() const { return geschlecht == Geschlecht::w; }
  bool istMann() const { return geschlecht == Geschlecht::m; }
  bool istDivers() const { return geschlecht == Geschlecht::d; }

private:
  std::string name;
  int alter;
  Geschlecht geschlecht;
};
#endif
