#ifndef PROFESSORIN_H
#define PROFESSORIN_H
#include "Person.h"

class ProfessorIn : public Person {
public:
  ProfessorIn(std::string nachname, std::string vorname, std::string lgb)
      : Person{std::move(nachname), std::move(vorname)}, lehrgebiet{std::move(lgb)}
  {
  }
  const std::string& getLehrgebiet() const { return lehrgebiet; }
  std::string toString() const override
  {
    return "Prof. " + Person::toString() + ", Lehrgebiet: " + lehrgebiet;
  }

private:
  std::string lehrgebiet;
};
#endif
